diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/network/site-info.php ./wordpress-3.4/wp-admin/network/site-info.php
*** ./wordpress-3.3.2/wp-admin/network/site-info.php	2011-11-30 20:22:07.000000000 -0600
--- ./wordpress-3.4/wp-admin/network/site-info.php	2012-05-03 08:34:33.000000000 -0500
***************
*** 29,35 ****
  
  get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
! 	'<p>' . __('<a href="http://codex.wordpress.org/Network_Admin_Sites_Screens" target="_blank">Documentation on Site Management</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/forum/multisite/" target="_blank">Support Forums</a>') . '</p>'
  );
  
--- 29,35 ----
  
  get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
! 	'<p>' . __('<a href="http://codex.wordpress.org/Network_Admin_Sites_Screen" target="_blank">Documentation on Site Management</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/forum/multisite/" target="_blank">Support Forums</a>') . '</p>'
  );
  
***************
*** 108,114 ****
  );
  foreach ( $tabs as $tab_id => $tab ) {
  	$class = ( $tab['url'] == $pagenow ) ? ' nav-tab-active' : '';
! 	echo '<a href="' . $tab['url'] . '?id=' . $id .'" class="nav-tab' . $class . '">' .  esc_html( $tab['label'] ) . '</a>';
  }
  ?>
  </h3>
--- 108,114 ----
  );
  foreach ( $tabs as $tab_id => $tab ) {
  	$class = ( $tab['url'] == $pagenow ) ? ' nav-tab-active' : '';
! 	echo '<a href="' . $tab['url'] . '?id=' . $id .'" class="nav-tab' . $class . '">' . esc_html( $tab['label'] ) . '</a>';
  }
  ?>
  </h3>
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/network/site-new.php ./wordpress-3.4/wp-admin/network/site-new.php
*** ./wordpress-3.3.2/wp-admin/network/site-new.php	2011-11-30 20:22:07.000000000 -0600
--- ./wordpress-3.4/wp-admin/network/site-new.php	2012-05-03 08:34:33.000000000 -0500
***************
*** 26,32 ****
  
  get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
! 	'<p>' . __('<a href="http://codex.wordpress.org/Network_Admin_Sites_Screens" target="_blank">Documentation on Site Management</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/forum/multisite/" target="_blank">Support Forums</a>') . '</p>'
  );
  
--- 26,32 ----
  
  get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
! 	'<p>' . __('<a href="http://codex.wordpress.org/Network_Admin_Sites_Screen" target="_blank">Documentation on Site Management</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/forum/multisite/" target="_blank">Support Forums</a>') . '</p>'
  );
  
***************
*** 123,129 ****
  			<th scope="row"><?php _e( 'Site Address' ) ?></th>
  			<td>
  			<?php if ( is_subdomain_install() ) { ?>
! 				<input name="blog[domain]" type="text" class="regular-text" title="<?php esc_attr_e( 'Domain' ) ?>"/>.<?php echo preg_replace( '|^www\.|', '', $current_site->domain );?>
  			<?php } else {
  				echo $current_site->domain . $current_site->path ?><input name="blog[domain]" class="regular-text" type="text" title="<?php esc_attr_e( 'Domain' ) ?>"/>
  			<?php }
--- 123,129 ----
  			<th scope="row"><?php _e( 'Site Address' ) ?></th>
  			<td>
  			<?php if ( is_subdomain_install() ) { ?>
! 				<input name="blog[domain]" type="text" class="regular-text" title="<?php esc_attr_e( 'Domain' ) ?>"/><span class="no-break">.<?php echo preg_replace( '|^www\.|', '', $current_site->domain ); ?></span>
  			<?php } else {
  				echo $current_site->domain . $current_site->path ?><input name="blog[domain]" class="regular-text" type="text" title="<?php esc_attr_e( 'Domain' ) ?>"/>
  			<?php }
***************
*** 148,151 ****
  </div>
  <?php
  require('../admin-footer.php');
- ?>
--- 148,150 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/network/site-settings.php ./wordpress-3.4/wp-admin/network/site-settings.php
*** ./wordpress-3.3.2/wp-admin/network/site-settings.php	2011-11-30 20:22:07.000000000 -0600
--- ./wordpress-3.4/wp-admin/network/site-settings.php	2012-05-03 08:34:33.000000000 -0500
***************
*** 29,35 ****
  
  get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
! 	'<p>' . __('<a href="http://codex.wordpress.org/Network_Admin_Sites_Screens" target="_blank">Documentation on Site Management</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/forum/multisite/" target="_blank">Support Forums</a>') . '</p>'
  );
  
--- 29,35 ----
  
  get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
! 	'<p>' . __('<a href="http://codex.wordpress.org/Network_Admin_Sites_Screen" target="_blank">Documentation on Site Management</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/forum/multisite/" target="_blank">Support Forums</a>') . '</p>'
  );
  
***************
*** 98,104 ****
  );
  foreach ( $tabs as $tab_id => $tab ) {
  	$class = ( $tab['url'] == $pagenow ) ? ' nav-tab-active' : '';
! 	echo '<a href="' . $tab['url'] . '?id=' . $id .'" class="nav-tab' . $class . '">' .  esc_html( $tab['label'] ) . '</a>';
  }
  ?>
  </h3>
--- 98,104 ----
  );
  foreach ( $tabs as $tab_id => $tab ) {
  	$class = ( $tab['url'] == $pagenow ) ? ' nav-tab-active' : '';
! 	echo '<a href="' . $tab['url'] . '?id=' . $id .'" class="nav-tab' . $class . '">' . esc_html( $tab['label'] ) . '</a>';
  }
  ?>
  </h3>
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/network/sites.php ./wordpress-3.4/wp-admin/network/sites.php
*** ./wordpress-3.3.2/wp-admin/network/sites.php	2011-12-10 12:26:48.000000000 -0600
--- ./wordpress-3.4/wp-admin/network/sites.php	2012-06-05 13:51:33.000000000 -0500
***************
*** 42,48 ****
  
  get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
! 	'<p>' . __('<a href="http://codex.wordpress.org/Network_Admin_Sites_Screens" target="_blank">Documentation on Site Management</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/forum/multisite/" target="_blank">Support Forums</a>') . '</p>'
  );
  
--- 42,48 ----
  
  get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
! 	'<p>' . __('<a href="http://codex.wordpress.org/Network_Admin_Sites_Screen" target="_blank">Documentation on Site Management</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/forum/multisite/" target="_blank">Support Forums</a>') . '</p>'
  );
  
***************
*** 78,86 ****
  				if ( ! current_user_can( 'manage_sites' ) )
  					wp_die( __( 'You do not have permission to access this page.' ) );
  
! 				if ( $_GET['action'] != -1 || $_POST['action2'] != -1 )
! 					$doaction = $_POST['action'] != -1 ? $_POST['action'] : $_POST['action2'];
! 
  				$blogfunction = '';
  
  				foreach ( (array) $_POST['allblogs'] as $key => $val ) {
--- 78,84 ----
  				if ( ! current_user_can( 'manage_sites' ) )
  					wp_die( __( 'You do not have permission to access this page.' ) );
  
! 				$doaction = $_POST['action'] != -1 ? $_POST['action'] : $_POST['action2'];
  				$blogfunction = '';
  
  				foreach ( (array) $_POST['allblogs'] as $key => $val ) {
***************
*** 210,216 ****
  				wp_die( __( 'You are not allowed to change the current site.' ) );
  			?>
  			<!DOCTYPE html>
! 			<html xmlns="http://www.w3.org/1999/xhtml" <?php if ( function_exists( 'language_attributes' ) ) language_attributes(); ?>>
  				<head>
  					<title><?php _e( 'WordPress &rsaquo; Confirm your action' ); ?></title>
  
--- 208,214 ----
  				wp_die( __( 'You are not allowed to change the current site.' ) );
  			?>
  			<!DOCTYPE html>
! 			<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
  				<head>
  					<title><?php _e( 'WordPress &rsaquo; Confirm your action' ); ?></title>
  
***************
*** 221,227 ****
  					?>
  				</head>
  				<body>
! 					<h1 id="logo"><img alt="WordPress" src="<?php echo esc_attr( admin_url( 'images/wordpress-logo.png' ) ); ?>" /></h1>
  					<form action="sites.php?action=<?php echo esc_attr( $_GET['action2'] ) ?>" method="post">
  						<input type="hidden" name="action" value="<?php echo esc_attr( $_GET['action2'] ) ?>" />
  						<input type="hidden" name="id" value="<?php echo esc_attr( $id ); ?>" />
--- 219,225 ----
  					?>
  				</head>
  				<body>
! 					<h1 id="logo"><img alt="WordPress" src="<?php echo esc_attr( admin_url( 'images/wordpress-logo.png?ver=20120216' ) ); ?>" /></h1>
  					<form action="sites.php?action=<?php echo esc_attr( $_GET['action2'] ) ?>" method="post">
  						<input type="hidden" name="action" value="<?php echo esc_attr( $_GET['action2'] ) ?>" />
  						<input type="hidden" name="id" value="<?php echo esc_attr( $id ); ?>" />
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/network/site-themes.php ./wordpress-3.4/wp-admin/network/site-themes.php
*** ./wordpress-3.3.2/wp-admin/network/site-themes.php	2011-12-10 12:26:48.000000000 -0600
--- ./wordpress-3.4/wp-admin/network/site-themes.php	2012-05-03 08:34:33.000000000 -0500
***************
*** 34,40 ****
  
  get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
! 	'<p>' . __('<a href="http://codex.wordpress.org/Network_Admin_Sites_Screens" target="_blank">Documentation on Site Management</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/forum/multisite/" target="_blank">Support Forums</a>') . '</p>'
  );
  
--- 34,40 ----
  
  get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
! 	'<p>' . __('<a href="http://codex.wordpress.org/Network_Admin_Sites_Screen" target="_blank">Documentation on Site Management</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/forum/multisite/" target="_blank">Support Forums</a>') . '</p>'
  );
  
***************
*** 152,158 ****
  );
  foreach ( $tabs as $tab_id => $tab ) {
  	$class = ( $tab['url'] == $pagenow ) ? ' nav-tab-active' : '';
! 	echo '<a href="' . $tab['url'] . '?id=' . $id .'" class="nav-tab' . $class . '">' .  esc_html( $tab['label'] ) . '</a>';
  }
  ?>
  </h3><?php
--- 152,158 ----
  );
  foreach ( $tabs as $tab_id => $tab ) {
  	$class = ( $tab['url'] == $pagenow ) ? ' nav-tab-active' : '';
! 	echo '<a href="' . $tab['url'] . '?id=' . $id .'" class="nav-tab' . $class . '">' . esc_html( $tab['label'] ) . '</a>';
  }
  ?>
  </h3><?php
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/network/site-users.php ./wordpress-3.4/wp-admin/network/site-users.php
*** ./wordpress-3.3.2/wp-admin/network/site-users.php	2011-12-10 12:26:48.000000000 -0600
--- ./wordpress-3.4/wp-admin/network/site-users.php	2012-06-05 13:51:33.000000000 -0500
***************
*** 32,38 ****
  
  get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
! 	'<p>' . __('<a href="http://codex.wordpress.org/Network_Admin_Sites_Screens" target="_blank">Documentation on Site Management</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/forum/multisite/" target="_blank">Support Forums</a>') . '</p>'
  );
  
--- 32,38 ----
  
  get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
! 	'<p>' . __('<a href="http://codex.wordpress.org/Network_Admin_Sites_Screen" target="_blank">Documentation on Site Management</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/forum/multisite/" target="_blank">Support Forums</a>') . '</p>'
  );
  
***************
*** 171,178 ****
--- 171,188 ----
  $parent_file = 'sites.php';
  $submenu_file = 'sites.php';
  
+ if ( ! wp_is_large_network( 'users' ) && apply_filters( 'show_network_site_users_add_existing_form', true ) )
+ 	wp_enqueue_script( 'user-suggest' );
+ 
  require('../admin-header.php'); ?>
  
+ <script type='text/javascript'>
+ /* <![CDATA[ */
+ var current_site_id = <?php echo $id; ?>;
+ /* ]]> */
+ </script>
+ 
+ 
  <div class="wrap">
  <?php screen_icon('ms-admin'); ?>
  <h2 id="edit-site"><?php echo $title_site_url_linked ?></h2>
***************
*** 186,192 ****
  );
  foreach ( $tabs as $tab_id => $tab ) {
  	$class = ( $tab['url'] == $pagenow ) ? ' nav-tab-active' : '';
! 	echo '<a href="' . $tab['url'] . '?id=' . $id .'" class="nav-tab' . $class . '">' .  esc_html( $tab['label'] ) . '</a>';
  }
  ?>
  </h3><?php
--- 196,202 ----
  );
  foreach ( $tabs as $tab_id => $tab ) {
  	$class = ( $tab['url'] == $pagenow ) ? ' nav-tab-active' : '';
! 	echo '<a href="' . $tab['url'] . '?id=' . $id .'" class="nav-tab' . $class . '">' . esc_html( $tab['label'] ) . '</a>';
  }
  ?>
  </h3><?php
***************
*** 257,263 ****
  	<table class="form-table">
  		<tr>
  			<th scope="row"><?php _e( 'Username' ); ?></th>
! 			<td><input type="text" class="regular-text" name="newuser" id="newuser" /></td>
  		</tr>
  		<tr>
  			<th scope="row"><?php _e( 'Role'); ?></th>
--- 267,273 ----
  	<table class="form-table">
  		<tr>
  			<th scope="row"><?php _e( 'Username' ); ?></th>
! 			<td><input type="text" class="regular-text wp-suggest-user" name="newuser" id="newuser" /></td>
  		</tr>
  		<tr>
  			<th scope="row"><?php _e( 'Role'); ?></th>
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/network/themes.php ./wordpress-3.4/wp-admin/network/themes.php
*** ./wordpress-3.3.2/wp-admin/network/themes.php	2011-12-10 12:26:48.000000000 -0600
--- ./wordpress-3.4/wp-admin/network/themes.php	2012-06-12 10:31:25.000000000 -0500
***************
*** 40,46 ****
  			check_admin_referer('enable-theme_' . $_GET['theme']);
  			$allowed_themes[ $_GET['theme'] ] = true;
  			update_site_option( 'allowedthemes', $allowed_themes );
! 			wp_redirect( network_admin_url( 'themes.php?enabled=1' ) );
  			exit;
  			break;
  		case 'disable':
--- 40,49 ----
  			check_admin_referer('enable-theme_' . $_GET['theme']);
  			$allowed_themes[ $_GET['theme'] ] = true;
  			update_site_option( 'allowedthemes', $allowed_themes );
! 			if ( false === strpos( $referer, '/network/themes.php' ) )
! 				wp_redirect( network_admin_url( 'themes.php?enabled=1' ) );
! 			else
! 				wp_safe_redirect( add_query_arg( 'enabled', 1, $referer ) );
  			exit;
  			break;
  		case 'disable':
***************
*** 111,136 ****
  
  			$themes = isset( $_REQUEST['checked'] ) ? (array) $_REQUEST['checked'] : array();
  
! 			if ( isset( $themes[ get_option( 'template' ) ] ) )
! 				unset( $themes[ get_option( 'template' ) ] );
! 			if ( isset( $themes[ get_option( 'stylesheet' ) ] ) )
! 				unset( $themes[ get_option( 'stylesheet' ) ] );
  
  			if ( empty( $themes ) ) {
  				wp_safe_redirect( add_query_arg( 'error', 'none', $referer ) );
  				exit;
  			}
  
- 			$main_theme = get_current_theme();
  			$files_to_delete = $theme_info = array();
  			foreach ( $themes as $key => $theme ) {
! 				$data = get_theme_data( WP_CONTENT_DIR . '/themes/' . $theme . '/style.css' );
! 				if ( $data['Name'] == $main_theme ) {
! 					unset( $themes[$key] );
! 				} else {
! 					$files_to_delete = array_merge( $files_to_delete, list_files( WP_CONTENT_DIR . "/themes/$theme" ) );
! 					$theme_info[ $theme ] = $data;
! 				}
  			}
  
  			if ( empty( $themes ) ) {
--- 113,129 ----
  
  			$themes = isset( $_REQUEST['checked'] ) ? (array) $_REQUEST['checked'] : array();
  
! 			unset( $themes[ get_option( 'stylesheet' ) ], $themes[ get_option( 'template' ) ] );
  
  			if ( empty( $themes ) ) {
  				wp_safe_redirect( add_query_arg( 'error', 'none', $referer ) );
  				exit;
  			}
  
  			$files_to_delete = $theme_info = array();
  			foreach ( $themes as $key => $theme ) {
! 				$theme_info[ $theme ] = wp_get_theme( $theme );
! 				$files_to_delete = array_merge( $files_to_delete, list_files( $theme_info[ $theme ]->get_stylesheet_directory() ) );
  			}
  
  			if ( empty( $themes ) ) {
***************
*** 156,162 ****
  				<p><?php echo _n( 'You are about to remove the following theme:', 'You are about to remove the following themes:', $themes_to_delete ); ?></p>
  					<ul class="ul-disc">
  						<?php foreach ( $theme_info as $theme )
! 							echo '<li>', sprintf( __('<strong>%1$s</strong> by <em>%2$s</em>' ), esc_html( $theme['Name'] ), esc_html( $theme['AuthorName'] ) ), '</li>'; /* translators: 1: theme name, 2: theme author */ ?>
  					</ul>
  				<p><?php _e('Are you sure you wish to delete these themes?'); ?></p>
  				<form method="post" action="<?php echo esc_url($_SERVER['REQUEST_URI']); ?>" style="display:inline;">
--- 149,155 ----
  				<p><?php echo _n( 'You are about to remove the following theme:', 'You are about to remove the following themes:', $themes_to_delete ); ?></p>
  					<ul class="ul-disc">
  						<?php foreach ( $theme_info as $theme )
! 							echo '<li>', sprintf( __('<strong>%1$s</strong> by <em>%2$s</em>' ), $theme->display('Name'), $theme->display('Author') ), '</li>'; /* translators: 1: theme name, 2: theme author */ ?>
  					</ul>
  				<p><?php _e('Are you sure you wish to delete these themes?'); ?></p>
  				<form method="post" action="<?php echo esc_url($_SERVER['REQUEST_URI']); ?>" style="display:inline;">
***************
*** 254,260 ****
  <?php $wp_list_table->search_box( __( 'Search Installed Themes' ), 'theme' ); ?>
  </form>
  
! <?php $wp_list_table->views(); ?>
  
  <form method="post" action="">
  <input type="hidden" name="theme_status" value="<?php echo esc_attr($status) ?>" />
--- 247,258 ----
  <?php $wp_list_table->search_box( __( 'Search Installed Themes' ), 'theme' ); ?>
  </form>
  
! <?php
! $wp_list_table->views();
! 
! if ( 'broken' == $status )
! 	echo '<p class="clear">' . __('The following themes are installed but incomplete. Themes must have a stylesheet and a template.') . '</p>';
! ?>
  
  <form method="post" action="">
  <input type="hidden" name="theme_status" value="<?php echo esc_attr($status) ?>" />
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/network/user-new.php ./wordpress-3.4/wp-admin/network/user-new.php
*** ./wordpress-3.3.2/wp-admin/network/user-new.php	2011-12-08 17:02:33.000000000 -0600
--- ./wordpress-3.4/wp-admin/network/user-new.php	2012-01-08 11:01:11.000000000 -0600
***************
*** 106,109 ****
  </div>
  <?php
  require('../admin-footer.php');
- ?>
--- 105,107 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/network/users.php ./wordpress-3.4/wp-admin/network/users.php
*** ./wordpress-3.3.2/wp-admin/network/users.php	2011-12-10 12:26:48.000000000 -0600
--- ./wordpress-3.4/wp-admin/network/users.php	2012-06-05 13:51:33.000000000 -0500
***************
*** 40,46 ****
  				wp_die( sprintf( __( 'Warning! User %s cannot be deleted.' ), $delete_user->user_login ) );
  
  			if ( in_array( $delete_user->user_login, $site_admins ) )
! 				wp_die( sprintf( __( 'Warning! User cannot be deleted. The user %s is a network admnistrator.' ), $delete_user->user_login ) );
  
  			echo "<input type='hidden' name='user[]' value='{$val}'/>\n";
  			$blogs = get_blogs_of_user( $val, true );
--- 40,46 ----
  				wp_die( sprintf( __( 'Warning! User %s cannot be deleted.' ), $delete_user->user_login ) );
  
  			if ( in_array( $delete_user->user_login, $site_admins ) )
! 				wp_die( sprintf( __( 'Warning! User cannot be deleted. The user %s is a network administrator.' ), $delete_user->user_login ) );
  
  			echo "<input type='hidden' name='user[]' value='{$val}'/>\n";
  			$blogs = get_blogs_of_user( $val, true );
***************
*** 119,127 ****
  			if ( ( isset( $_POST['action']) || isset($_POST['action2'] ) ) && isset( $_POST['allusers'] ) ) {
  				check_admin_referer( 'bulk-users-network' );
  
! 				if ( $_GET['action'] != -1 || $_POST['action2'] != -1 )
! 					$doaction = $_POST['action'] != -1 ? $_POST['action'] : $_POST['action2'];
! 
  				$userfunction = '';
  
  				foreach ( (array) $_POST['allusers'] as $key => $val ) {
--- 119,125 ----
  			if ( ( isset( $_POST['action']) || isset($_POST['action2'] ) ) && isset( $_POST['allusers'] ) ) {
  				check_admin_referer( 'bulk-users-network' );
  
! 				$doaction = $_POST['action'] != -1 ? $_POST['action'] : $_POST['action2'];
  				$userfunction = '';
  
  				foreach ( (array) $_POST['allusers'] as $key => $val ) {
***************
*** 136,144 ****
  								echo '<div class="wrap">';
  								confirm_delete_users( $_POST['allusers'] );
  								echo '</div>';
! 					            require_once( '../admin-footer.php' );
! 					            exit();
! 	       					break;
  
  							case 'spam':
  								$user = new WP_User( $val );
--- 134,142 ----
  								echo '<div class="wrap">';
  								confirm_delete_users( $_POST['allusers'] );
  								echo '</div>';
! 								require_once( '../admin-footer.php' );
! 								exit();
! 							break;
  
  							case 'spam':
  								$user = new WP_User( $val );
***************
*** 290,296 ****
  	<?php $wp_list_table->views(); ?>
  
  	<form action="" method="get" class="search-form">
! 		<?php $wp_list_table->search_box( __( 'Search Users' ), 'user' ); ?>
  	</form>
  
  	<form id="form-user-list" action='users.php?action=allusers' method='post'>
--- 288,294 ----
  	<?php $wp_list_table->views(); ?>
  
  	<form action="" method="get" class="search-form">
! 		<?php $wp_list_table->search_box( __( 'Search Users' ), 'all-user' ); ?>
  	</form>
  
  	<form id="form-user-list" action='users.php?action=allusers' method='post'>
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/network.php ./wordpress-3.4/wp-admin/network.php
*** ./wordpress-3.3.2/wp-admin/network.php	2011-12-08 10:49:16.000000000 -0600
--- ./wordpress-3.4/wp-admin/network.php	2012-02-20 10:35:03.000000000 -0600
***************
*** 367,379 ****
  			?></p></li>
  			<li><p><?php printf( __( 'Add the following to your <code>wp-config.php</code> file in <code>%s</code> <strong>above</strong> the line reading <code>/* That&#8217;s all, stop editing! Happy blogging. */</code>:' ), ABSPATH ); ?></p>
  				<textarea class="code" readonly="readonly" cols="100" rows="7">
! define( 'MULTISITE', true );
! define( 'SUBDOMAIN_INSTALL', <?php echo $subdomain_install ? 'true' : 'false'; ?> );
  $base = '<?php echo $base; ?>';
! define( 'DOMAIN_CURRENT_SITE', '<?php echo $hostname; ?>' );
! define( 'PATH_CURRENT_SITE', '<?php echo $base; ?>' );
! define( 'SITE_ID_CURRENT_SITE', 1 );
! define( 'BLOG_ID_CURRENT_SITE', 1 );</textarea>
  <?php
  	$keys_salts = array( 'AUTH_KEY' => '', 'SECURE_AUTH_KEY' => '', 'LOGGED_IN_KEY' => '', 'NONCE_KEY' => '', 'AUTH_SALT' => '', 'SECURE_AUTH_SALT' => '', 'LOGGED_IN_SALT' => '', 'NONCE_SALT' => '' );
  	foreach ( $keys_salts as $c => $v ) {
--- 367,379 ----
  			?></p></li>
  			<li><p><?php printf( __( 'Add the following to your <code>wp-config.php</code> file in <code>%s</code> <strong>above</strong> the line reading <code>/* That&#8217;s all, stop editing! Happy blogging. */</code>:' ), ABSPATH ); ?></p>
  				<textarea class="code" readonly="readonly" cols="100" rows="7">
! define('MULTISITE', true);
! define('SUBDOMAIN_INSTALL', <?php echo $subdomain_install ? 'true' : 'false'; ?>);
  $base = '<?php echo $base; ?>';
! define('DOMAIN_CURRENT_SITE', '<?php echo $hostname; ?>');
! define('PATH_CURRENT_SITE', '<?php echo $base; ?>');
! define('SITE_ID_CURRENT_SITE', 1);
! define('BLOG_ID_CURRENT_SITE', 1);</textarea>
  <?php
  	$keys_salts = array( 'AUTH_KEY' => '', 'SECURE_AUTH_KEY' => '', 'LOGGED_IN_KEY' => '', 'NONCE_KEY' => '', 'AUTH_SALT' => '', 'SECURE_AUTH_SALT' => '', 'LOGGED_IN_SALT' => '', 'NONCE_SALT' => '' );
  	foreach ( $keys_salts as $c => $v ) {
